Index: CLFS/master.sh
===================================================================
--- CLFS/master.sh	(revision e35e794b5071039aa76d9e9abc544e965903c683)
+++ CLFS/master.sh	(revision 9199a13ac6493ab452251bc8c2247c731c7ca508)
@@ -21,18 +21,22 @@
 023-creatingtoolsdir:
 	@\$(call echo_message, Building)
-	@mkdir -v \$(MOUNT_PT)/tools && \\
-	rm -fv /tools && \\
-	ln -sv \$(MOUNT_PT)/tools /
+	@mkdir \$(MOUNT_PT)/tools && \\
+	rm -f /tools && \\
+	ln -s \$(MOUNT_PT)/tools /
 	@if [ ! -d \$(MOUNT_PT)/sources ]; then \\
 		mkdir \$(MOUNT_PT)/sources; \\
 	fi;
 	@chmod a+wt \$(MOUNT_PT)/sources && \\
-	touch \$@
+	touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 
 024-creatingcrossdir: 023-creatingtoolsdir
 	@mkdir -v \$(MOUNT_PT)/cross-tools && \\
-	rm -fv /cross-tools && \\
-	ln -sv \$(MOUNT_PT)/cross-tools /
-	@touch \$@
+	rm -f /cross-tools && \\
+	ln -s \$(MOUNT_PT)/cross-tools /
+	@touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 
 025-addinguser:  024-creatingcrossdir
@@ -48,13 +52,15 @@
 	chown lfs \$(MOUNT_PT)/cross-tools && \\
 	chown lfs \$(MOUNT_PT)/sources && \\
-	touch \$@
+	touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 
 026-settingenvironment:  025-addinguser
 	@\$(call echo_message, Building)
 	@if [ -f /home/lfs/.bashrc -a ! -f /home/lfs/.bashrc.XXX ]; then \\
-		mv -v /home/lfs/.bashrc /home/lfs/.bashrc.XXX; \\
+		mv /home/lfs/.bashrc /home/lfs/.bashrc.XXX; \\
 	fi;
 	@if [ -f /home/lfs/.bash_profile  -a ! -f /home/lfs/.bash_profile.XXX ]; then \\
-		mv -v /home/lfs/.bash_profile /home/lfs/.bash_profile.XXX; \\
+		mv /home/lfs/.bash_profile /home/lfs/.bash_profile.XXX; \\
 	fi;
 	@echo "set +h" > /home/lfs/.bashrc && \\
@@ -74,5 +80,7 @@
 	@chown lfs:lfs /home/lfs/.bashrc && \\
 	touch envars && \\
-	touch \$@
+	touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 EOF
 ) >> $MKFILE.tmp
@@ -139,5 +147,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -192,5 +200,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -276,5 +284,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -342,5 +350,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -396,5 +404,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -451,5 +459,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -561,5 +569,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -674,5 +682,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -736,5 +744,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -797,5 +805,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -871,5 +879,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -951,5 +959,5 @@
     #
     # Include a touch of the target name so make can check if it's already been made.
-    echo -e '\t@touch $@' >> $MKFILE.tmp
+    wrt_touch
     #
     #--------------------------------------------------------------------#
@@ -1091,19 +1099,21 @@
 	@\$(call echo_message, Building)
 	@if [ -f /home/lfs/.bashrc.XXX ]; then \\
-		mv -fv /home/lfs/.bashrc.XXX /home/lfs/.bashrc; \\
+		mv -f /home/lfs/.bashrc.XXX /home/lfs/.bashrc; \\
 	fi;
 	@if [ -f /home/lfs/.bash_profile.XXX ]; then \\
-		mv -v /home/lfs/.bash_profile.XXX /home/lfs/.bash_profile; \\
+		mv /home/lfs/.bash_profile.XXX /home/lfs/.bash_profile; \\
 	fi;
 	@chown lfs:lfs /home/lfs/.bash* && \\
-	touch \$@
+	touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 
 do-housekeeping:
-	-umount \$(MOUNT_PT)/dev/pts
-	-umount \$(MOUNT_PT)/dev/shm
-	-umount \$(MOUNT_PT)/dev
-	-umount \$(MOUNT_PT)/sys
-	-umount \$(MOUNT_PT)/proc
-	-if [ ! -f user-lfs-exist ]; then \\
+	@-umount \$(MOUNT_PT)/dev/pts
+	@-umount \$(MOUNT_PT)/dev/shm
+	@-umount \$(MOUNT_PT)/dev
+	@-umount \$(MOUNT_PT)/sys
+	@-umount \$(MOUNT_PT)/proc
+	@-if [ ! -f user-lfs-exist ]; then \\
 		userdel lfs; \\
 		rm -rf /home/lfs; \\
@@ -1177,5 +1187,7 @@
 	fi;
 	@chown lfs:lfs /home/lfs/.bash* && \\
-	touch \$@
+	touch \$@ && \\
+	echo " "\$(BOLD)Target \$(BLUE)\$@ \$(BOLD)OK && \\
+	echo --------------------------------------------------------------------------------\$(WHITE)
 
 