Index: common/blfs-tool-deps/903-tidy
===================================================================
--- common/blfs-tool-deps/903-tidy	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/blfs-tool-deps/903-tidy	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -6,19 +6,8 @@
 cd $PKGDIR
 
-patch -Np1 -i ../tidy-051026-prevent_PRE_newlines-1.patch
-sh build/gnuauto/setup.sh
 ./configure --prefix=/usr
 make
 make install
-(cd ../ && tar -xvf tidy_docs_051020.tgz)
-cd htmldoc
-tidy -xml-help > tidy-help.xml
-tidy -xml-config > tidy-config.xml
-xsltproc -o tidy.1 tidy1.xsl tidy-help.xml
-xsltproc -o quickref.html quickref-html.xsl tidy-config.xml
-cd ..
-install -v -m644 htmldoc/tidy.1 /usr/share/man/man1
-install -v -m755 -d /usr/share/doc/tidy-051020
-cp -v -R htmldoc/* /usr/share/doc/tidy-051020
+make -C htmldoc install_apidocs
 
 exit
Index: common/blfs-tool-deps/904-unzip
===================================================================
--- common/blfs-tool-deps/904-unzip	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/blfs-tool-deps/904-unzip	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -6,4 +6,5 @@
 cd $PKGDIR
 
+patch -Np1 -i ../unzip-5.52-security_fix-1.patch
 make -f unix/Makefile LOCAL_UNZIP=-D_FILE_OFFSET_BITS=64 linux
 make prefix=/usr install
Index: common/blfs-tool-deps/905-docbook-xml
===================================================================
--- common/blfs-tool-deps/905-docbook-xml	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/blfs-tool-deps/905-docbook-xml	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -8,56 +8,56 @@
 mkdir docbook-xml
 cd docbook-xml
-unzip ../docbook-xml-4.4.zip
-install -v -d -m755 /usr/share/xml/docbook/xml-dtd-4.4
+unzip ../docbook-xml-4.5.zip
+install -v -d -m755 /usr/share/xml/docbook/xml-dtd-4.5
 install -v -d -m755 /etc/xml
 chown -R root:root .
 cp -v -af docbook.cat *.dtd ent/ *.mod \
-    /usr/share/xml/docbook/xml-dtd-4.4
+    /usr/share/xml/docbook/xml-dtd-4.5
 if [ ! -e /etc/xml/docbook ]; then
     xmlcatalog --noout --create /etc/xml/docbook
 fi
 xmlcatalog --noout --add "public" \
-    "-//OASIS//DTD DocBook XML V4.4//EN" \
-    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" \
+    "-//OASIS//DTD DocBook XML V4.5//EN" \
+    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//DTD DocBook XML CALS Table Model V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/calstblx.dtd" \
+    "-//OASIS//DTD DocBook XML CALS Table Model V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/calstblx.dtd" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
     "-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/soextblx.dtd" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/soextblx.dtd" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ELEMENTS DocBook XML Information Pool V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbpoolx.mod" \
+    "-//OASIS//ELEMENTS DocBook XML Information Pool V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/dbpoolx.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbhierx.mod" \
+    "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/dbhierx.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/htmltblx.mod" \
+    "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/htmltblx.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ENTITIES DocBook XML Notations V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbnotnx.mod" \
+    "-//OASIS//ENTITIES DocBook XML Notations V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/dbnotnx.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ENTITIES DocBook XML Character Entities V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbcentx.mod" \
+    "-//OASIS//ENTITIES DocBook XML Character Entities V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/dbcentx.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "public" \
-    "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.4//EN" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4/dbgenent.mod" \
+    "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.5//EN" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5/dbgenent.mod" \
     /etc/xml/docbook
 xmlcatalog --noout --add "rewriteSystem" \
-    "http://www.oasis-open.org/docbook/xml/4.4" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    "http://www.oasis-open.org/docbook/xml/4.5" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5" \
     /etc/xml/docbook
 xmlcatalog --noout --add "rewriteURI" \
-    "http://www.oasis-open.org/docbook/xml/4.4" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    "http://www.oasis-open.org/docbook/xml/4.5" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5" \
     /etc/xml/docbook
 if [ ! -e /etc/xml/catalog ]; then
@@ -80,5 +80,5 @@
     "file:///etc/xml/docbook" \
     /etc/xml/catalog
-for DTDVERSION in 4.1.2 4.2 4.3
+for DTDVERSION in 4.1.2 4.2 4.3 4.4
 do
   xmlcatalog --noout --add "public" \
@@ -88,9 +88,9 @@
   xmlcatalog --noout --add "rewriteSystem" \
     "http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5" \
     /etc/xml/docbook
   xmlcatalog --noout --add "rewriteURI" \
     "http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
-    "file:///usr/share/xml/docbook/xml-dtd-4.4" \
+    "file:///usr/share/xml/docbook/xml-dtd-4.5" \
     /etc/xml/docbook
   xmlcatalog --noout --add "delegateSystem" \
Index: common/blfs-tool-deps/908-links
===================================================================
--- common/blfs-tool-deps/908-links	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/blfs-tool-deps/908-links	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -9,4 +9,7 @@
 make CFLAGS="-O2 -Wno-sign-compare -Wno-pointer-sign"
 make install
+install -v -d -m755 /usr/share/doc/links-2.1pre23
+install -v -m644 doc/links_cal/* KEYS BRAILLE_HOWTO \
+    /usr/share/doc/links-2.1pre23
 
 exit
Index: common/libs/func_blfs_deps
===================================================================
--- common/libs/func_blfs_deps	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/libs/func_blfs_deps	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -19,10 +19,9 @@
   if [[ "${DEP_TIDY}" = "y" ]] ; then
     echo "${TIDY_URL} ${BLFS_SERVER}tidy/${TIDY_PKG} ${TIDY_MD5}" >> urls.lst
-    echo "${TIDY_PATCH_URL} ${BLFS_SERVER}tidy/${TIDY_PATCH} ${TIDY_PATCH_MD5}" >> urls.lst
-    echo "${TIDY_DOCS_URL} ${BLFS_SERVER}tidy/${TIDY_DOCS} ${TIDY_DOCS_MD5}" >> urls.lst
   fi
 
   if [[ "${DEP_UNZIP}" = "y" ]] ; then
     echo "${UNZIP_URL} ${BLFS_SERVER}unzip/${UNZIP_PKG} ${UNZIP_MD5}" >> urls.lst
+    echo "${UZIP_PATCH_URL} ${BLFS_SERVER}unzip/${UNZIP_PATCH} ${UNZIP_PATCH_MD5}" >> urls.lst
   fi
 
@@ -176,5 +175,5 @@
     # Touch the tracking file.
     case $name in
-      tidy )  pkg_ver=tidy-051026 ;;
+      tidy )  pkg_ver=html-tidy-cvs_20070326 ;;
       unzip ) pkg_ver=unzip-5.52 ;;
       * )     pkg_ver=$(echo $pkg_tarball | sed -e 's/.tar.*//;s/.tgz//;s/.zip//') ;;
Index: common/libs/func_check_version.sh
===================================================================
--- common/libs/func_check_version.sh	(revision 020f4dc9ceb13fe03a52d2725c84d8e6ac06960f)
+++ common/libs/func_check_version.sh	(revision 16938b0ee9c65573b7385c72ea3d2a07b078cb0f)
@@ -127,6 +127,6 @@
 XML_FILE="<?xml version='1.0' encoding='ISO-8859-1'?>
 <?xml-stylesheet type='text/xsl' href='http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/docbook.xsl'?>
-<!DOCTYPE article PUBLIC '-//OASIS//DTD DocBook XML V4.4//EN'
-  'http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd'>
+<!DOCTYPE article PUBLIC '-//OASIS//DTD DocBook XML V4.5//EN'
+  'http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd'>
 <article>
   <title>Test file</title>
@@ -139,7 +139,7 @@
     if [[ -z "$DEP_DBXML" ]] ; then
       if `echo $XML_FILE | xmllint -noout -postvalid - 2>/dev/null` ; then
-        check_version "4.4" "4.4" "DocBook XML DTD"
+        check_version "4.5" "4.5" "DocBook XML DTD"
       else
-        echo "Warning: not found a working DocBook XML DTD 4.4 installation"
+        echo "Warning: not found a working DocBook XML DTD 4.5 installation"
         exit 2
       fi