Index: custom/examples/940-libffi
===================================================================
--- custom/examples/940-libffi	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
+++ custom/examples/940-libffi	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -0,0 +1,25 @@
+#
+# $Id$
+#
+PKG="libffi"
+PKG_VERSION="3.2.1"
+PKG_FILE="libffi-3.2.1.tar.gz"
+URL="http://sourceware.org/pub/libffi/${PKG_FILE}"
+MD5="83b89587607e3eb65c70d361f13bab43"
+for i in PATCH{1..10}; do
+   unset $i
+done
+
+( cat << "xEOFx"
+sed -e '/^includesdir/ s/$(libdir).*$/$(includedir)/' \
+    -i include/Makefile.in &&
+
+sed -e '/^includedir/ s/=.*$/=@includedir@/' \
+    -e 's/^Cflags: -I${includedir}/Cflags:/' \
+    -i libffi.pc.in        &&
+
+./configure --prefix=/usr --disable-static &&
+make
+make install
+xEOFx
+) > tmp
Index: custom/examples/941-pcre
===================================================================
--- custom/examples/941-pcre	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
+++ custom/examples/941-pcre	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -0,0 +1,31 @@
+#
+# $Id$
+#
+PKG="pcre"
+PKG_VERSION="8.37"
+PKG_FILE="pcre-8.37.tar.bz2"
+URL="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/${PKG_FILE}"
+MD5="ed91be292cb01d21bc7e526816c26981"
+for i in PATCH{1..10}; do
+   unset $i
+done
+PATCH1="http://www.linuxfromscratch.org/patches/blfs/7.8/pcre-8.37-upstream_fixes-1.patch 718c4314fba52ed559c75ff7660cc391"
+
+( cat << "xEOFx"
+patch -Np1 -i ../pcre-8.37-upstream_fixes-1.patch &&
+
+./configure --prefix=/usr                     \
+            --docdir=/usr/share/doc/pcre-8.37 \
+            --enable-unicode-properties       \
+            --enable-pcre16                   \
+            --enable-pcre32                   \
+            --enable-pcregrep-libz            \
+            --enable-pcregrep-libbz2          \
+            --enable-pcretest-libreadline     \
+            --disable-static                 &&
+make
+make install                     &&
+mv -v /usr/lib/libpcre.so.* /lib &&
+ln -sfv ../../lib/$(readlink /usr/lib/libpcre.so) /usr/lib/libpcre.so
+xEOFx
+) > tmp
Index: custom/examples/945-python3
===================================================================
--- custom/examples/945-python3	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
+++ custom/examples/945-python3	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -0,0 +1,25 @@
+#
+# $Id$
+#
+PKG="python3"
+PKG_VERSION="3.4.3"
+PKG_FILE="Python-3.4.3.tar.xz"
+URL="https://www.python.org/ftp/python/3.4.3/${PKG_FILE}"
+MD5="7d092d1bba6e17f0d9bd21b49e441dd5"
+for i in PATCH{1..10}; do
+   unset $i
+done
+
+( cat << "xEOFx"
+CXX="/usr/bin/g++"              \
+./configure --prefix=/usr       \
+            --enable-shared     \
+            --with-system-expat \
+            --with-system-ffi   \
+            --without-ensurepip &&
+make
+make install &&
+chmod -v 755 /usr/lib/libpython3.4m.so &&
+chmod -v 755 /usr/lib/libpython3.so
+xEOFx
+) > tmp
Index: custom/examples/950-bc
===================================================================
--- custom/examples/950-bc	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#
-# $Id$
-#
-PKG="bc"
-PKG_VERSION="1.06"
-PKG_FILE="bc-1.06.tar.gz"
-URL="http://ftp.gnu.org/gnu/bc/${PKG_FILE}"
-MD5="d44b5dddebd8a7a7309aea6c36fda117"
-for i in PATCH{1..10}; do
-   unset $i
-done
-
-( cat << "xEOFx"
-sed -i '/PROTO.*readline/d' bc/scan.l &&
-sed -i '/flex -I8/s/8//' configure &&
-sed -i '/stdlib/a #include <string.h>' lib/number.c &&
-sed -i 's/program.*save/static &/' bc/load.c &&
-./configure --prefix=/usr --with-readline &&
-make
-make install
-xEOFx
-) > tmp
Index: custom/examples/951-glib
===================================================================
--- custom/examples/951-glib	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/951-glib	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -3,20 +3,16 @@
 #
 PKG="glib"
-PKG_VERSION="1.2.10"
-PKG_FILE="glib-1.2.10.tar.gz"
-URL="http://gd.tuwien.ac.at/graphics/gimp/gtk/v1.2/${PKG_FILE}"
-MD5="6fe30dad87c77b91b632def29dd69ef9"
+PKG_VERSION="2.44.1"
+PKG_FILE="glib-2.44.1.tar.xz"
+URL="http://ftp.gnome.org/pub/gnome/sources/glib/2.44/${PKG_FILE}"
+MD5="83efba4722a9674b97437d1d99af79db"
 for i in PATCH{1..10}; do
    unset $i
 done
-PATCH1="http://www.linuxfromscratch.org/patches/blfs/svn/glib-1.2.10-gcc34-1.patch 0077a1cce5e8a2231ac5a9b08c6263ba"
-
 
 ( cat << "xEOFx"
-patch -Np1 -i ../glib-1.2.10-gcc34-1.patch &&
-./configure --prefix=/usr &&
+./configure --prefix=/usr --with-pcre=system &&
 make
-make install &&
-chmod -v 755 /usr/lib/libgmodule-1.2.so.0.0.10
+make install
 xEOFx
 ) > tmp
Index: custom/examples/952-mc
===================================================================
--- custom/examples/952-mc	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/952-mc	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -3,8 +3,8 @@
 #
 PKG="mc"
-PKG_VERSION="4.6.1"
-PKG_FILE="mc-4.6.1.tar.gz"
-URL="http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/${PKG_FILE}"
-MD5="18b20db6e40480a53bac2870c56fc3c4"
+PKG_VERSION="4.8.14"
+PKG_FILE="mc-4.8.14.tar.xz"
+URL="http://ftp.midnight-commander.org/${PKG_FILE}"
+MD5="fbdaddb9edcf8925dcf3231331a8720b"
 for i in PATCH{1..10}; do
    unset $i
@@ -12,7 +12,11 @@
 
 ( cat << "xEOFx"
-./configure --prefix=/usr &&
+./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --with-screen=ncurses \
+            --enable-charset &&
 make
 make install
+cp -v doc/keybind-migration.txt /usr/share/mc
 xEOFx
 ) > tmp
Index: custom/examples/960-pppd
===================================================================
--- custom/examples/960-pppd	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/960-pppd	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -8,8 +8,8 @@
 
 PKG="ppp"
-PKG_VERSION="2.4.4"
+PKG_VERSION="2.4.7"
 PKG_FILE="ppp-${PKG_VERSION}.tar.gz"
 URL="http://samba.org/ftp/ppp/${PKG_FILE}"
-MD5="183800762e266132218b204dfb428d29"
+MD5="78818f40e6d33a1d1de68a1551f6595a"
 for i in PATCH{1..10}; do
    unset $i
Index: custom/examples/961-openssl
===================================================================
--- custom/examples/961-openssl	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/961-openssl	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -9,27 +9,29 @@
 
 PKG="openssl"
-PKG_VERSION="0.9.8d"
+PKG_VERSION="1.0.2d"
 PKG_FILE="openssl-${PKG_VERSION}.tar.gz"
 URL="ftp://ftp.openssl.org/source/${PKG_FILE}"
-MD5="8ed1853538e1d05a1f5ada61ebf8bffa"
+MD5="38dd619b2e77cbac69b99f52a053d25a"
 for i in PATCH{1..10}; do
    unset $i
 done
-PATCH1=" http://www.linuxfromscratch.org/patches/blfs/svn/openssl-0.9.8d-fix_manpages-1.patch"
 
 ( cat << "xEOFx"
 
-sed -i -e 's/mcpu/march/' config
-patch -Np1 -i ../openssl-0.9.8d-fix_manpages-1.patch &&
-./config --openssldir=/etc/ssl --prefix=/usr shared &&
-make MANDIR=/usr/share/man
+./config --prefix=/usr         \
+         --openssldir=/etc/ssl \
+         --libdir=lib          \
+         shared                \
+         zlib-dynamic &&
+make
 
-make MANDIR=/usr/share/man install &&
-cp -v -r certs /etc/ssl &&
-install -v -d -m755 /usr/share/doc/openssl-0.9.8d &&
-cp -v -r doc/{HOWTO,README,*.{txt,html,gif}} \
-    /usr/share/doc/openssl-0.9.8d
-    
+#sed -i 's# libcrypto.a##;s# libssl.a##' Makefile
+make MANDIR=/usr/share/man MANSUFFIX=ssl install &&
+install -dv -m755 /usr/share/doc/openssl-1.0.2d  &&
+cp -vfr doc/*     /usr/share/doc/openssl-1.0.2d
 
+#
+# Note: certificates not installed by this.
+#
 xEOFx
 ) > tmp
Index: custom/examples/963-gpm
===================================================================
--- custom/examples/963-gpm	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/963-gpm	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -3,25 +3,31 @@
 #
 PKG="gpm"
-PKG_VERSION="1.20.1"
+PKG_VERSION="1.20.7"
 PKG_FILE="gpm-${PKG_VERSION}.tar.bz2"
-URL="ftp://arcana.linux.it/pub/gpm/${PKG_FILE}"
-MD5="2c63e827d755527950d9d13fe3d87692"
+URL="http://www.nico.schottelius.org/software/gpm/archives/${PKG_FILE}"
+MD5="bf84143905a6a903dbd4d4b911a2a2b8"
 for i in PATCH{1..10}; do
    unset $i
 done
-PATCH1=" http://www.linuxfromscratch.org/patches/blfs/svn/gpm-1.20.1-segfault-1.patch"
-PATCH2=" http://www.linuxfromscratch.org/patches/blfs/svn/gpm-1.20.1-silent-1.patch"
-
 
 ( cat << "xEOFx"
 
-patch -Np1 -i ../gpm-1.20.1-segfault-1.patch &&
-patch -Np1 -i ../gpm-1.20.1-silent-1.patch &&
+./autogen.sh                                &&
 ./configure --prefix=/usr --sysconfdir=/etc &&
-LDFLAGS="-lm" make
+make
 
-make install &&
-cp -v conf/gpm-root.conf /etc &&
-ldconfig
+make install                                          &&
+
+install-info --dir-file=/usr/share/info/dir           \
+             /usr/share/info/gpm.info                 &&
+
+ln -sfv libgpm.so.2.1.0 /usr/lib/libgpm.so            &&
+install -v -m644 conf/gpm-root.conf /etc              &&
+
+install -v -m755 -d /usr/share/doc/gpm-${PKG_FILE}/support &&
+install -v -m644    doc/support/*                     \
+                    /usr/share/doc/gpm-${PKG_FILE}/support &&
+install -v -m644    doc/{FAQ,HACK_GPM,README*}        \
+                    /usr/share/doc/gpm-${PKG_FILE}
 
 # The normal cmd to install the boot script for gpm
@@ -32,5 +38,5 @@
 # Begin /etc/sysconfig/mouse
 
-MDEVICE="/dev/psaux"
+MDEVICE="/dev/input/mice"
 PROTOCOL="imps2"
 GPMOPTS=""
Index: custom/examples/963-lynx
===================================================================
--- custom/examples/963-lynx	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/963-lynx	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -6,8 +6,8 @@
 
 PKG="lynx"
-PKG_VERSION="2.8.6"
+PKG_VERSION="2.8.8rel.2"
 PKG_FILE="lynx${PKG_VERSION}.tar.bz2"
-URL="ftp://lynx.isc.org/lynx2.8.6/${PKG_FILE}"
-MD5="dc80497b7dda6a28fd80404684d27548"
+URL="ftp://lynx.isc.org/${PKG_FILE}"
+MD5="b231c2aa34dfe7ca25681ef4e55ee7e8"
 for i in PATCH{1..10}; do
    unset $i
@@ -16,16 +16,19 @@
 ( cat << "xEOFx"
 
-./configure --prefix=/usr \
+./configure --prefix=/usr          \
             --sysconfdir=/etc/lynx \
-            --datadir=/usr/share/doc/lynx-2.8.6 \
-            --with-zlib \
-            --with-bzlib \
+            --datadir=/usr/share/doc/lynx-2.8.8rel.2 \
+            --with-zlib            \
+            --with-bzlib           \
             --with-screen=ncursesw \
             --enable-locale-charset &&
-
 make
 
 make install-full &&
-chgrp -v -R root /usr/share/doc/lynx-2.8.6/lynx_doc
+chgrp -v -R root /usr/share/doc/lynx-2.8.8rel.2/lynx_doc
+
+sed -i 's/#\(LOCALE_CHARSET\):FALSE/\1:TRUE/' /etc/lynx/lynx.cfg
+sed -i 's/#\(DEFAULT_EDITOR\):/\1:vi/' /etc/lynx/lynx.cfg
+sed -i 's/#\(PERSISTENT_COOKIES\):FALSE/\1:TRUE/' /etc/lynx/lynx.cfg
 
 xEOFx
Index: custom/examples/964-dhcpcd
===================================================================
--- custom/examples/964-dhcpcd	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
+++ custom/examples/964-dhcpcd	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -0,0 +1,31 @@
+#
+# $Id$
+#
+# dhcpcd is an implementation of the DHCP client specified in RFC2131.
+# This is useful for connecting your computer to a network which uses
+# DHCP to assign network addresses.
+#
+
+PKG="dhcpcd"
+PKG_VERSION="6.9.3"
+PKG_FILE="dhcpcd-${PKG_VERSION}.tar.xz"
+URL="http://roy.marples.name/downloads/dhcpcd/${PKG_FILE}"
+MD5="8357d023c4687d27bc6ea7964236b2a6"
+for i in PATCH{1..10}; do
+   unset $i
+done
+
+( cat << "xEOFx"
+
+./configure --libexecdir=/lib/dhcpcd \
+            --dbdir=/var/lib/dhcpcd  &&
+make
+
+make install
+
+# Add the following to boot scripts.
+#make install-service-dhcpcd
+
+# more configuration? 
+xEOFx
+) > tmp
Index: custom/examples/964-hdcpcd
===================================================================
--- custom/examples/964-hdcpcd	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ 	(revision )
@@ -1,27 +1,0 @@
-#
-# $Id$
-#
-# dhcpcd is an implementation of the DHCP client specified in RFC2131.
-# This is useful for connecting your computer to a network which uses
-# DHCP to assign network addresses.
-#
-
-PKG="dhcpcd"
-PKG_VERSION="2.0.8"
-PKG_FILE="dhcpcd-${PKG_VERSION}.tar.bz2"
-URL="ftp://ftp.osuosl.org/pub/gentoo/distfiles/${PKG_FILE}"
-MD5="ec91c33b6d9cb46a42f9564e573fd249"
-for i in PATCH{1..10}; do
-   unset $i
-done
-
-( cat << "xEOFx"
-
-./configure --prefix="" --mandir=/usr/share/man &&
-make
-
-make install &&
-chmod -v 754 /etc/dhcpc/dhcpcd.exe
-
-xEOFx
-) > tmp
Index: custom/examples/965-eject
===================================================================
--- custom/examples/965-eject	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#
-# $Id$
-#
-#  Program for ejecting removable media under software control.
-#  Can also control the auto-eject feature of some drives and
-#  can be used to switch CDs on an IDE/ATAPI CD changer. 
-#
-
-PKG="eject"
-PKG_VERSION="2.10"
-PKG_FILE="eject-${PKG_VERSION}.tar.gz"
-URL="ftp://sunsite.unc.edu/pub/Linux/utils/disk-management/${PKG_FILE}"
-MD5="82e3a7a4d7e3323018c6938015ff25f7"
-PATCH1=""
-
-( cat << "xEOFx"
-
-./configure --prefix=/usr \
-            --enable-default-device=/dev/cdrom \
-            --disable-nls
-make
-make install
-
-xEOFx
-) > tmp
Index: custom/examples/997-nasm
===================================================================
--- custom/examples/997-nasm	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/997-nasm	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -6,27 +6,18 @@
 
 PKG="nasm"
-PKG_VERSION="0.98.39"
-PKG_FILE="nasm-${PKG_VERSION}.tar.bz2"
-URL="http://downloads.sourceforge.net/nasm/${PKG_FILE}"
-MD5="2032ad44c7359f7a9a166a40a633e772"
+PKG_VERSION="2.11.08"
+PKG_FILE="nasm-${PKG_VERSION}.tar.xz"
+URL="http://www.nasm.us/pub/nasm/releasebuilds/2.11.08/${PKG_FILE}"
+MD5="0d461a085b088a14dd6628c53be1ce28"
 for i in PATCH{1..10}; do
    unset $i
 done
-PATCH1="http://www.linuxfromscratch.org/patches/blfs/svn/nasm-0.98.39-security_fix-1.patch"
 
 ( cat << "xEOFx"
 
-patch -Np1 -i ../nasm-0.98.39-security_fix-1.patch &&
 ./configure --prefix=/usr &&
 make
-make -C rdoff/doc
-make -C rdoff/doc html
 
-make install &&
-make install_rdf &&
-install -v -m644 rdoff/doc/rdoff.info /usr/share/info &&
-install -v -m755 -d /usr/share/doc/nasm/html &&
-install -v -m644 rdoff/doc/v1-v2.txt /usr/share/doc/nasm &&
-cp -v -R rdoff/doc/rdoff /usr/share/doc/nasm/html
+make install
 
 xEOFx
Index: custom/examples/999-blfs_bootscripts
===================================================================
--- custom/examples/999-blfs_bootscripts	(revision 125e05ec13bd7a533ff2895ea0e0b72d269c31db)
+++ custom/examples/999-blfs_bootscripts	(revision 9543675e7d0ddd24b49b352f32545eb78cceb45a)
@@ -3,8 +3,8 @@
 #
 PKG="blfs-bootscripts"
-PKG_VERSION="20060910"
+PKG_VERSION="20150924"
 PKG_FILE="blfs-bootscripts-${PKG_VERSION}.tar.bz2"
-URL="http://www.linuxfromscratch.org/blfs/downloads/svn/${PKG_FILE}"
-MD5="e1715c58dc694bf474c4468e6bade3ad"
+URL="http://anduin.linuxfromscratch.org/sources/BLFS/conglomeration/blfs-bootscripts/${PKG_FILE}"
+MD5="97a371743223ac3815bf491863a39c7d"
 for i in PATCH{1..10}; do
    unset $i